Official Website of the United States Department of Homeland Security
Share This PageShare This Page PrintPrint
E-Verify

System Requirements

E-Verify is an Internet-based service with very simple system requirements. Employers who use E-Verify need:

  • A computer with Internet access and one of the following Web browsers:
    • Internet Explorer (version 6.0 and above)
    • Firefox (version 3.0 and above)
    • Chrome (version 7.0 and above)
    • Safari (version 4.0 and above)
  • Access to a printer
  • Adobe Acrobat Reader software. E-Verify documentation is accessible online as

Portable Document Format (PDF) files. If you do not have a program installed on your computer that enables you to view PDF files, you can download the free Adobe Acrobat Reader software.

This page provides general overview information about E-Verify.  For instructions and policy guidance, click here to visit the For Employers section of the website, or click here to visit the For Employees section of the website.

Last Reviewed/Updated: 09/29/2013